<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';
import { ref } from 'vue';
import type { VForm } from 'vuetify/components';
const form = ref(false)
const email = ref('admin@mail.com')
const password = ref('Pass@1234')
const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const required = (v: String) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>
<template>
  <v-sheet class="bg-deep-purple pa-12" rounded>
    <v-card class="mx-auto px-6 py-8" max-width="344">
      <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
        <v-text-field v-model="email" :rules="[required]" class="mb-2" label="Email" clearable></v-text-field>

        <v-text-field v-model="password" :rules="[required]" label="Password" placeholder="Enter your password"
          clearable></v-text-field>

        <br />

        <v-btn :disabled="!form" color="success" size="large" type="submit" variant="elevated" block>
          Sign In
        </v-btn>
      </v-form>
    </v-card>
  </v-sheet>
</template>
